Subject: Apple II digital joystick interface
From: [email-masked]
Date: 22 Nov 1992 12:54:42 -0600
Newsgroups: comp.sys.apple2

This is the schematic for using a digital joystick on an Apple II game port.
Use one copy of this circuit for each joystick axis (i.e. you need two of
these).

         -----o o-------*------------->|--------
         |   _____      |             D1       |
         |    |_|       | \-----\              |
         |              |__\     \             |
  +5V o--*               __ | NOR >O--\/\/\/\--*---o Paddle Input 0 or 1
         |     _        |  /     /      R1     |
         |   _|_|_      | /-----/              |
         |              |                      |
         -----o o-------*----\/\/\/\-->|--------
                               R2     D2

R1 = about 71K
R2 = 150K
D1 & D2 are switching diodes

I don't know if this company is still around, but they used to sell factory
seconds of comercial quality digital joystick elements (the type used in
comercial arcade games).  The company is Newport Machine Design, PO Box 418,
Bishop, CA, 93514 (phone: 619-873-5677).

The suggeseted pin-out for this is the Coleco Adam, which is the same as the
Atari, but has a second push button.

     joystick         socket #
     position         on plug
     ========         ========
     UP               1
     DOWN             2
     LEFT             3
     RIGHT            4
     FIRE 2           5
     FIRE 1           6
     ----             7
     Common Ground    8       (connect to +5V for the Apple interface)
     ----             9

By using this pin-out, your joystick can also be used on Commodore 64 and
Atari (computer or game) systems.

For Apple II and II+ owners:

The logic for the push-buttons is not positive logic.  You will need to use
a 5V coil relay or a transistor circuit to convert the +5V, normally open
switch logic for FIRE 1 & 2 to the open-collector logic (normally closed 
switch connected to ground) used by the game port.

** disclaimer time **
I have used the above circuit on my Apple II+ for 9 years without any problem.
However, I am not responsible or liable for your ability with a soldering iron.
Use this circuit at your own risk.  Someday I will probably redesign this to
work better (I know a lot more about electronics now than I did 9 years ago),
but it works and so improving  the design has been a very low priority.  When
the day comes that I do redesign this interface, I will certainly post it for
the Apple II community to share and enjoy.

Shade and sweet water,

Curt

Curt Schroeder | McDonnell Douglas Aerospace - East | [email-masked] |
----------------------------------------------------| [email-masked]   |
These opinions are mine, mine, mine!                |-----------------------|
I am not an instantiation of Std_Employee!          | - Apple II Forever -  |